TANH(3) | Library Functions Manual | TANH(3)

# NAME

`tanh`, `tanhf`, `tanhl` — hyperbolic tangent function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`tanh`(double x);

float
`tanhf`(float x);

long double
`tanhl`(long double x);

# DESCRIPTION

The `tanh`() `tanhf`() and `tanhl`() functions compute the hyperbolic tangent of x. For a discussion of error due to roundoff, see math(3).

# RETURN VALUES

Upon successful completion, these functions return the hyperbolic tangent value. The following may also occur:

1. If x is ± 0, x is returned.
2. If x is NaN, a NaN is returned.
3. If x is positive infinity, a value 1 is returned; if x is negative infinity, -1 is returned.
4. If x is subnormal, a range error can occur and x is returned.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3)

# STANDARDS

The described functions conform to ISO/IEC 9899:1999 (“ISO C99”).

September 18, 2011 | NetBSD 11.0